#include <SDL2/SDL.h>
#include <SDL2/SDL_gpu.h>
#include <iostream>
#include <strings.h>

#ifndef WINDOW_H
#define WINDOW_H

class Window
{
private:

    

public:
    Window(int heightIn, int widthIn, std::string titleIn);
    ~Window();

    bool Init();
    void Close();

    static SDL_Window *window;
    static GPU_Target *windowTarget;
    static int windowId;
    static bool isRunning;
    
    int windowHeight = 480;
    int windowWidth = 640;
    std::string windowTitle = "Window";
    int windowTargetFramerate = 60;
};

#endif